import numpy as np


class Point3D(object):
    """ Class for a point in the 3D space.
    """

    def __init__(self, x, y, z):
        self.x = x
        self.y = y
        self.z = z
        self.coord = np.array([x, y, z])

    def __str__(self):
        return '(' + str(self.x) + ', ' + str(self.y) + ', ' + str(self.z) + ')'
