import os
import numpy as np
import pprint as pp
import xml.etree.ElementTree as et
import msm.utilities as utl


class Material(object):
    """ Material class
    """

    def __init__(self, name):
        self.name = name  #: Name of the material
        self.density = 0.  #: Density of the material
        self.type = None  #: Type of the material (isotropic, orthotropic, anisotropic)

        # Elastic properties
        # isotropic: [e, nu]
        # orthotropic: [e1, e2, e3, g12, g13, g23, nu12, nu13, nu23]
        self.property_elastic = []
